LibreOffice LibreOffice 26.2 SDK API Reference

Public Member Functions | List of all members
XSQLQueryComposerFactory Interface Referencepublished

is a factory for instances of service com::sun::star::sdb::SQLQueryComposer. More...

`import"XSQLQueryComposerFactory.idl";`

Inheritance diagram for XSQLQueryComposerFactory:

## Public Member Functions
com::sun::star::sdb::XSQLQueryComposer | createQueryComposer ()
| creates a new query composer. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

is a factory for instances of service com::sun::star::sdb::SQLQueryComposer.

## Member Function Documentation

## ◆ createQueryComposer()

com::sun::star::sdb::XSQLQueryComposer createQueryComposer | ( |  | ) |

creates a new query composer.

Returns
  the SQLQueryComposer object

The documentation for this interface was generated from the following file:

- com/sun/star/sdb/XSQLQueryComposerFactory.idl